require_relative 'lib/addy_lambda/version'

Gem::Specification.new do |spec|
  spec.name          = 'addy_lambda'
  spec.version       = AddyLambda::VERSION
  spec.authors       = ['Alon Sabi']
  spec.email         = ['alon@sabi.me']

  spec.summary       = 'A GEM for re-usable Lambda common functionalities'
  spec.description   = 'Include this gem in your Lambda code to provide generic functionality, standardize code, and expedite development'
  spec.homepage      = 'https://github.com/InvestIMBY/addy_lambda'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.5.0')

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/InvestIMBY/addy_lambda'
  spec.metadata['changelog_uri'] = 'https://github.com/InvestIMBY/addy_lambda/changelog'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.add_dependency 'aws-sdk-lambda'
  spec.add_dependency 'aws-sdk-s3'
  spec.add_dependency 'aws-sdk-sns'
  spec.add_dependency 'aws-sdk-ssm'
  spec.add_dependency 'thor'
end
